| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLNumber Class Reference

`#include <XMLNumber.hpp>`

Inheritance diagram for XMLNumber

[legend]
List of all members.

## Public Methods

virtual | ~XMLNumber ()
virtual XMLCh* | toString ()const=0
| Return string representation of the decimal value. More...
virtual int | getSign ()const=0
| Returns the sign of this number. More...

## Protected Methods

| XMLNumber ()

## Constructor & Destructor Documentation

virtual XMLNumber::~XMLNumber ( | )`[virtual]`

XMLNumber::XMLNumber ( | )`[protected]`

## Member Function Documentation

int XMLNumber::getSign ( | ) const`[pure virtual]`

| Returns the sign of this number. -1 negative 0 zero 1 positive Reimplemented in XMLAbstractDoubleFloat, XMLBigDecimal, and XMLDateTime.

XMLCh * XMLNumber::toString ( | ) const`[pure virtual]`

| Return string representation of the decimal value. A decimal point will be included as necessary, the caller of this method is responsible for the de-allocation of the memory. Reimplemented in XMLAbstractDoubleFloat, XMLBigDecimal, and XMLDateTime.

The documentation for this class was generated from the following file:

- XMLNumber.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.